<?php
$output = $title = $number = $el_class = '';
extract( shortcode_atts( array(
    'title' => __('Recent Comments'),
    'number' => 5,
    'el_class' => ''
), $atts ) );

$el_class = $this->getExtraClass($el_class);

$output = '';
$type = 'WP_Widget_Recent_Comments';
global $wp_widget_factory;
$widget_obj = $wp_widget_factory->widgets[$type];
if ( is_a($widget_obj, 'WP_Widget') ){
	$args = array(
		'before_title' 		=> '<h3 class="yt-vc-element-heading">',
		'after_title'		=> '</h3>',
		'before_widget' 	=> sprintf('<div class="yt-vc-element yt-vc-element-wp-widget yt-vc-wp-recentcomments' . $el_class . ' widget yt-widget %s">', $widget_obj->widget_options['classname'] ),
		'after_widget' 		=> '</div>'
	);

	ob_start();
	the_widget( $type, $atts, $args );
	$output .= ob_get_clean();
}
echo $output;